Issue 40475

Summary: Cannot place cursor before first section or after last section
Product: Writer Reporter: colm.smyth
Component: editingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: 680m70   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description colm.smyth 2005-01-12 10:53:33 UTC
If a section is created (either directly, or implicitly by using
Format/Columns), it is not possible to place the cursor either before the first
section or after the last section.

There should be some operation that allows this.

My suggested fix would be to enable the cursor keys to create an empty
paragraph; if the user is already at the begin (end) of the first (last)
section, then using the cursor key will create a new paragraph above (below) the
section. Note that this fix requires no new UI or text resources (a future
product patch should document this feature however).

This is a serious dissatisfier because it requires the user to create a new
document and copy/paste content over, making sure to leave a gap in the new
document.
Comment 1 michael.ruess 2005-01-12 11:32:43 UTC
Similar to tables: when placing cursor at first or last position in the section,
you can create an empty paragraph by using Alt-Enter key either above or below
the section.
Comment 2 michael.ruess 2005-01-12 11:32:56 UTC
Closed.
Comment 3 colm.smyth 2005-01-12 16:47:28 UTC
Try the following steps to reproduce it:

Either:
A)
1. Select the last line in a document
2. Choose Format/Columns and selected 2 columns
3. Now try to put the cursor after the columns section

B)
1. Create a section at the end of a file
2. Delete the last line using backspace
3. Now try to put the cursor after the last section
Comment 4 colm.smyth 2005-01-12 16:49:49 UTC
Alt-Enter is not acceptable because it is a "weird" mechanism. The standard
mechanisms for document navigation should work for the *end* of a document.

Alt-Enter does not help with entering paragraphs at the *start* of a document.
Comment 5 michael.ruess 2005-01-13 15:57:43 UTC
Alt-Enter at beginning of a document works fine (just tried it out) and is is
documented in online help.
If you want to place the cursor right of a section, I will assign this RFE to
"requirements". To implement this for OO 2.0 time/resources are much too short
so earlies for successor it could happen...
Comment 6 ace_dent 2008-05-16 00:39:18 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html